<? 
include ("../common/scripts/connect.inc.php"); 
include ("template.inc"); 

//-------------------- FONCTION DE RETOUR ----------------------------//
function retour2($id_joueur,$mess,$mimi){
header("Location:index.php?action=modMimi&joueur=$id_joueur&mess=$mess&mimi=$mimi");
}
function retour($id,$mess){
header("Location:index.php?action=mod&joueur=$id&mess=$mess");
}
function retourListeMimi($id_joueur){
header("Location:index.php?action=1&joueur=$id_joueur");
}
if (!$_GET['action']) affichageMenu();
if ($_GET['action']=="voir") affichageListeJoueurs();
if ($_GET['action']==1) affichageListeMimichants($_GET['joueur']); 
if ($_GET['action']=="mod") modifierJoueur($_GET['joueur'],$_GET['mess'] ); 
if ($_GET['action']=="sup") supprimerJoueur($_GET['joueur']); 
if ($_GET['action']=="modOk") modifierJouerOk($_POST); 
if ($_GET['action']=="objs") ajoutObj(); /*gestionObjs(); */
if ($_GET['action']=="modMimi") modifierMimi($_GET['mimi'],$_GET['joueur'],$_GET['mess']); 
if ($_GET['action']=="supMimi") supprimerMimi($_GET['mimi'],$_GET['joueur']); 
if ($_GET['action']=="modMimiOk") modifierMimiOk($_POST); 
if ($_GET['action']=="ajoutObjOk") ajoutObjOk($_POST);
if ($_GET['action']=="news") affichageNews();
if ($_GET['action']=="ajoutNews") ajoutNews();
if ($_GET['action']=="ajoutOK") ajoutNewsValide($_POST);

//---------------------  ------------------------------//
//Affiche la liste des messages qui sont sur le terrier//
//-------------------  --------------------------------//
function affichageNews() {
global $dbconn,$listeNews;
//-----------  Declaration template  ------------------ //
$listeNews = new Template(".");
$listeNews->set_file("listeAnnonce","listeAnnonces.tpl");
//-----------  Declaration des blocks------------------ //
$listeNews->set_block("listeAnnonce","LISTE_ANNONCES","listeAnnonces");
//----------- Appels des fonctions --------------------//
affichageMessages();
//------------- ecriture fichier ---------------------//
$listeNews->parse("output","listeAnnonce");
$listeNews->p("output");
}
//---------------------  ------------------------------//
//---------------- Nouvelle annonce -------------------//
//-------------------  --------------------------------//
function ajoutNews() {
global $dbconn;

//-----------  Declaration template  ------------------ //
$newAnnonce = new Template(".");
$newAnnonce->set_file("newAnnonce","newAnnonce.tpl");

//------------- ecriture fichier ---------------------//
$newAnnonce->parse("output","newAnnonce");
$newAnnonce->p("output");
}

function ajoutNewsValide($_POST){
global $dbconn;
$date= date("Y-m-d");
$message = $_POST['message'];
$auteur = $_POST['auteur'];
$q=pg_query($dbconn,"insert into news (date, message,auteur) VALUES ('$date','$message','$auteur' )");

} 
//---------------------  ------------------------------//
//----Affiche la liste des messages  par ligne --------//
//-------------------  --------------------------------//
function affichageMessages(){
global $dbconn,$listeNews;

//$q=pg_query($dbconn,"select * from announce where ground_id='$terrier'order by announce_date_depot DESC ");
$q=pg_query($dbconn,"select * from news");
$cpt=0;
while($ligne=pg_fetch_array($q)) {
	$listeNews->set_var("id",$ligne['id']);
	$listeNews->set_var("date",$ligne['date']);
	$listeNews->set_var("message",$ligne['message']);
	$listeNews->set_var("auteur",$ligne['auteur']);
	if($cpt%2==0)$listeNews->set_var("atchoum","ligne1");
		else $listeNews->set_var("atchoum","ligne2");
		$cpt++;
	$listeNews->parse("listeAnnonces","LISTE_ANNONCES",true);
	}	
}

  
//------------------- MODIFICATION MIMI----------------------------//
//*************************TEMPLATE**********************************// 
function modifierMimi($mimi,$joueur,$mess) {
global $dbconn,$modifierMimi;
//-----------  Declaration template  ------------------ //
$modifierMimi = new Template(".");
$modifierMimi->set_file("modifierMimi","modifierMimi.tpl");
$modifierMimi->set_var("mess",$mess);	
//----------- Appels des fonctions --------------------//
modificationMimi($mimi,$joueur);
//------------- ecriture fichier ---------------------//
$modifierMimi->parse("output","modifierMimi");
$modifierMimi->p("output");
}
//****************** MODIFICATION PAR MIMI *************************// 
function modificationMimi($mimi,$joueur){
global $dbconn,$modifierMimi;
// recupere l'id et le nom du joueur 
$qU=pg_query($dbconn,"select char_id,char_name, char_sex, char_money, char_pv, char_pa from characters where char_id='$mimi'");


$ligne=pg_fetch_array($qU);
		$modifierMimi->set_var("nom",$ligne['char_name']);				
		$modifierMimi->set_var("sexe",$ligne['char_sex']);
		$modifierMimi->set_var("money",$ligne['char_money']);
		$modifierMimi->set_var("PV",$ligne['char_pv']);
		$modifierMimi->set_var("PA",$ligne['char_pa']);
		$modifierMimi->set_var("id",$ligne['char_id']);
		$modifierMimi->set_var("id_joueur",$joueur);
	
}
//---------------------------------------------------------------------// 
 function modifierMimiOk($_POST){
global $dbconn;

$nom=$_POST['nom'];
$sex=$_POST['sexe'];
$money=$_POST['money'];
$pv=$_POST['PV'];
$pa=$_POST['PA'];
$id=$_POST['id'];
$id_joueur=$_POST['id_joueur'];
// recupere l'id et le nom du joueur 
$qU=pg_query($dbconn,"update characters set char_name='$nom', char_sex='$sex', char_money='$money', char_pv='$pv', char_pa=$pa where char_id='$id'");

retour2($id_joueur, "Modification effectué",$id);
	
}

//---------------------------------------------------------------------// 
function supprimerMimi($mimi,$joueur){
global $dbconn;

//$q = pg_query($dbconn, "delete from characters where char_id = '$mimi'");

//retourListeMimi($joueur);

}
function gestionObjs(){
global $dbconn,$gestionO;
/* Declaration template */
$gestionO = new Template(".");
$gestionO->set_file("gestionO","gestionObjs.tpl");

//-----------  Declaration des blocks------------------ //
$gestionO->set_block("gestionO","LISTE_OBJETS","listeObjets");
affichageObjets();
/* ecriture fichier */
$gestionO->parse("output","gestionO");
$gestionO->p("output");
}


function affichageListeJoueurs() {
global $dbconn,$listeJoueurs;
//-----------  Declaration template  ------------------ //
$listeJoueurs = new Template(".");
$listeJoueurs->set_file("listeJoueur","listeJoueurs.tpl");

//-----------  Declaration des blocks------------------ //
$listeJoueurs->set_block("listeJoueur","LISTE_JOUEURS","listeJoueurs");
//----------- Appels des fonctions --------------------//
affichageJoueurs();
//------------- ecriture fichier ---------------------//
$listeJoueurs->parse("output","listeJoueur");
$listeJoueurs->p("output");
}

function affichageListeMimichants($joueur) {
global $dbconn,$listeMimichants,$joueur;
//-----------  Declaration template  ------------------ //
$listeMimichants = new Template(".");
$listeMimichants->set_file("listeMimichant","listeMimichants.tpl");

//-----------  Declaration des blocks------------------ //
$listeMimichants->set_block("listeMimichant","LISTE_MIMICHANTS","listeMimichants");
//----------- Appels des fonctions --------------------//
affichageMimichants($joueur);
//------------- ecriture fichier ---------------------//
$listeMimichants->parse("output","listeMimichant");
$listeMimichants->p("output");
}

function affichageMimichants($joueur){
global $dbconn,$listeMimichants;
// recupere l'id et le nom du joueur 
$qU=pg_query($dbconn,"select user_login from users where user_id='$joueur'");
$login=pg_fetch_array($qU);
//
$listeMimichants->set_var("joueur",$login['user_login']);
$qa=pg_query($dbconn,"select char_id, char_name, user_id, char_sex, char_money, char_pv, char_pa from characters where user_id='$joueur' order by char_id");
//$res=pg_fetch_array($qa);
$cpt=0;
while($ligne=pg_fetch_array($qa)) {

				
		$listeMimichants->set_var("id",$ligne['char_id']);
		$listeMimichants->set_var("nom",$ligne['char_name']);
		if($ligne['char_sex']=="f") { $sexe="femelle"; }
		else $sexe="male";
		$listeMimichants->set_var("sexe",$sexe);
		$listeMimichants->set_var("money",$ligne['char_money']);
		$listeMimichants->set_var("pv",$ligne['char_pv']);
		$listeMimichants->set_var("pa",$ligne['char_pa']);		
		if($cpt%2==0)$listeMimichants->set_var("atchoum","ligne1");
		else $listeMimichants->set_var("atchoum","ligne2");
		$cpt++;
		$listeMimichants->parse("listeMimichants","LISTE_MIMICHANTS",true);
	}	
}


function affichageJoueurs(){
global $dbconn,$listeJoueurs;

$qa=pg_query($dbconn,"select user_id, user_login, user_mail, user_guild_name, user_last_connect, user_money from users order by user_id");
//$res=pg_fetch_array($qa);
$cpt=0;
while($ligne=pg_fetch_array($qa)) {

		$idU=$ligne['user_id'];
		$qU=pg_query($dbconn,"select count(char_id) as nbMimi from characters where user_id='$idU'");
		$countU=pg_fetch_result($qU,0,'nbMimi');
				
		$listeJoueurs->set_var("id",$ligne['user_id']);
		$listeJoueurs->set_var("nom",$ligne['user_login']);
		$listeJoueurs->set_var("mail",$ligne['user_mail']);
		$listeJoueurs->set_var("nomAlliance",$ligne['user_guild_name']);
		$listeJoueurs->set_var("nbMimi",$countU);
		$listeJoueurs->set_var("connectDate",$ligne['user_last_connect']);
		$listeJoueurs->set_var("money",$ligne['user_money']);
		
		if($cpt%2==0)$listeJoueurs->set_var("atchoum","ligne1");
		else $listeJoueurs->set_var("atchoum","ligne2");
		$cpt++;
		$listeJoueurs->parse("listeJoueurs","LISTE_JOUEURS",true);
	}	
}

function affichageObjets(){
global $dbconn,$gestionO;

$qa=pg_query($dbconn,"select obj_id, obj_name, obj_infos from objects order by obj_id");
//$res=pg_fetch_array($qa);
$cpt=0;
while($ligne=pg_fetch_array($qa)) {

			
		$gestionO->set_var("id",$ligne['obj_id']);
		$gestionO->set_var("nom",$ligne['obj_name']);
		$gestionO->set_var("infos",$ligne['obj_infos']);
		
		if($cpt%2==0)$gestionO->set_var("atchoum","ligne1");
		else $gestionO->set_var("atchoum","ligne2");
		$cpt++;
		$gestionO->parse("listeObjets","LISTE_OBJETS",true);
	}	
}

function affichageMenu(){
global $dbconn;

//-----------  Declaration template  ------------------ //
$menu = new Template(".");
$menu->set_file("index","index.tpl");

//------------- ecriture fichier ---------------------//
$menu->parse("output","index");
$menu->p("output");
}

//------------------- MODIFICATION JOUEUR ----------------------------//
//*************************TEMPLATE**********************************// 
function modifierJoueur($joueur,$mess) {
global $dbconn,$modifierJoueur;
/* Declaration template */
$modifierJoueur = new Template(".");
$modifierJoueur->set_file("modifierJoueur","modifierJoueur.tpl");
$modifierJoueur->set_var("message",$mess);	
/* Appels des fonctions */
modification($joueur);
/* ecriture fichier */
$modifierJoueur->parse("output","modifierJoueur");
$modifierJoueur->p("output");
}
//********************************************************************//
//****************** MODIFICATION PAR JOUEUR *************************// 
function modification($joueur){
global $dbconn,$modifierJoueur;
// recupere l'id et le nom du joueur 
$qU=pg_query($dbconn,"select user_id, user_login, user_mail, user_money, user_guild_name from users where user_id='$joueur'");
		$ligne=pg_fetch_array($qU);
		$modifierJoueur->set_var("login",$ligne['user_login']);				
		$modifierJoueur->set_var("id",$ligne['user_id']);
		$modifierJoueur->set_var("mail",$ligne['user_mail']);
		$modifierJoueur->set_var("money",$ligne['user_money']);
		$modifierJoueur->set_var("alliance",$ligne['user_guild_name']);
	
}
//********************************************************************//
//***************** ENREGISTREMENT MODIFICATION **********************// 
function modifierJouerOk($_POST){
global $dbconn;

$log=$_POST['login'];
$mail=$_POST['mail'];
$money=$_POST['money'];
$alliance=$_POST['alliance'];
$id=$_POST['id'];
// recupere l'id et le nom du joueur 
$qU=pg_query($dbconn,"update users set user_login='$log', user_mail='$mail', user_money='$money', user_guild_name='$alliance' where user_id='$id'");
retour($id, "Modification effectué");
	
}

//---------------------------------------------------------------------// 
//-------------------FIN MODIFICATION JOUEUR --------------------------//
 
//------------------- SUPPRIMATION JOUEUR ----------------------------//
//*************************TEMPLATE**********************************// 
function supprimerJoueur($joueur) {
global $dbconn,$supprimerJoueur;
//-----------  Declaration template  ------------------ //
$supprimerJoueur = new Template(".");
$supprimerJoueur->set_file("supprimerJoueur","supprimerJoueur.tpl");

//------------- ecriture fichier ---------------------//
$supprimerJoueur->parse("output","supprimerJoueur");
$supprimerJoueur->p("output");
}
//---------------------------------------------------------------------// 
//-------------------FIN SUPPRIMATION JOUEUR --------------------------//


//------------------------------------------------------------------------//
//------------------------ GESTION OBJETS -------------------------------//
function ajoutObj() {
global $dbconn,$ajoutObj;
//-----------  Declaration template  ------------------ //
$ajoutObj = new Template(".");
$ajoutObj->set_file("ajoutObj","ajoutObj.tpl");

//------------- ecriture fichier ---------------------//
$ajoutObj->parse("output","ajoutObj");
$ajoutObj->p("output");
}


//------------------- AJOUT D'UN OBJET ----------------------------------//
function ajoutObjOk($_POST) {
global $dbconn;

$nom=$_POST['nom'];
$infos=$_POST['infos'];
$poids=$_POST['poids'];
$duree_vie=$_POST['duree_vie'];
$util_mort=$_POST['util_mort'];
$util_skill_c_a_c=$_POST['util_skill_c_a_c'];
$util_skill_degats=$_POST['util_skill_degats'];
$dist_max=$_POST['dist_max'];
$dist_min=$_POST['dist_min'];
$pa_self=$_POST['pa_self'];
$pv_self=$_POST['pv_self'];
$pa_target=$_POST['pa_target'];
$pv_target=$_POST['pv_target'];
$use_limit=$_POST['use_limit'];
$impact_pa_self=$_POST['impact_pa_self'];
$impact_pv_self=$_POST['impact_pv_self'];
$impact_pa_target=$_POST['impact_pa_target'];
$impact_dam_min=$_POST['impact_dam_min'];
$impact_dam_max=$_POST['impact_dam_max'];
$equipable=$_POST['equipable'];
$equip_pa=$_POST['equip_pa'];
$equip_defense=$_POST['equip_defense'];
$equip_bonus_strength=$_POST['equip_bonus_strength'];
$equip_bonus_const=$_POST['equip_bonus_const'];
$equip_bonus_dext=$_POST['equip_bonus_dext'];
$equip_bonus_psy=$_POST['equip_bonus_psy'];
$equip_bonus_pa=$_POST['equip_bonus_pa'];
$graph=$_POST['graph'];



$q=pg_query($dbconn, "insert into objects (
obj_name, obj_infos, obj_weight, obj_duration, obj_use_dead, obj_use_skill_id, obj_skill_id_distance, obj_use_dist_max, obj_use_dist_min, obj_use_pa_self,obj_use_pv_self, obj_use_pa_target, obj_use_pv_target,obj_use_limit, obj_impact_pa_self, obj_impact_pv_self, obj_impact_pa_target, obj_impact_dam_min,obj_impact_dam_max,obj_equip,obj_equip_pa, obj_equip_defense, obj_equip_bonus_strength, obj_equip_bonus_const,obj_equip_bonus_dext,obj_equip_bonus_psy, obj_equip_bonus_pa,obj_graph ) VALUES ( '$nom','$infos','$poids','$duree_vie','$util_mort','$util_skill_c_a_c','$util_skill_degats','$dist_max','$dist_min','$pa_self','$pv_self','$pa_target','$pv_target','$use_limit','$impact_pa_self','$impact_pv_self', '$impact_pa_target', '$impact_dam_min', '$impact_dam_max', '$equipable','$equip_pa','$equip_defense', '$equip_bonus_strength', '$equip_bonus_const','$equip_bonus_dext','$equip_bonus_psy','$equip_bonus_pa','$graph')");


}





?>
<br />
